> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Details

> Fetch the original event payload and metadata, including all related delivery attempts.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /webhooks/events/{event_id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /webhooks/events/{event_id}:
    parameters:
      - name: event_id
        in: path
        description: Unique identifier of the event to retrieve
        required: true
        schema:
          type: string
          format: ulid
    get:
      tags:
        - Webhooks
      summary: Get Event Details
      description: >-
        Fetch the original event payload and metadata, including all related
        delivery attempts.
      operationId: get-webhook-event-detail
      responses:
        '200':
          description: Event fetched successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - content
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  content:
                    $ref: '#/components/schemas/WebhookEventDetail'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    WebhookEventDetail:
      title: WebhookEventDetail
      allOf:
        - $ref: '#/components/schemas/WebhookEvent'
        - type: object
          required:
            - payload
            - deliveries
            - webhook_relations
          properties:
            payload:
              type: object
            deliveries:
              type: array
              items:
                $ref: '#/components/schemas/WebhookDeliveryLog'
            webhook_relations:
              type: array
              items:
                type: object
                required:
                  - webhook_id
                  - webhook_name
                properties:
                  webhook_id:
                    type: string
                  webhook_name:
                    type: string
      x-tags:
        - Webhooks
    WebhookEvent:
      title: WebhookEvent
      type: object
      required:
        - event_id
        - event
        - timestamp
        - is_test
      properties:
        event_id:
          description: >-
            The unique id for that event. Shared across all delivery attempts of
            the same event.
          type: string
          readOnly: true
        event:
          type: string
        timestamp:
          type: string
          format: date-time
        is_test:
          type: boolean
      x-tags:
        - Webhooks
    WebhookDeliveryLog:
      title: WebhookDeliveryLog
      type: object
      required:
        - delivery_id
        - event_id
        - webhook_id
        - webhook_name
        - endpoint
        - event
        - timestamp
        - retry_attempt
        - next_retry_at
        - status
        - response_code
        - duration_ms
        - error_message
        - is_test
      properties:
        delivery_id:
          description: The unique delivery_id for the Webhook delivery attempt
          type: string
          readOnly: true
        event_id:
          description: >-
            The unique id for that event. Shared across all delivery attempts of
            the same event.
          type: string
          readOnly: true
        webhook_id:
          type: string
        webhook_name:
          type: string
        endpoint:
          type: string
        event:
          type: string
        timestamp:
          type: string
          format: date-time
        retry_attempt:
          type: integer
        next_retry_at:
          type:
            - string
            - 'null'
          format: date-time
        status:
          type: string
          enum:
            - success
            - failed
        response_code:
          type: integer
        duration_ms:
          type: integer
        error_message:
          type:
            - string
            - 'null'
        is_test:
          type: boolean
      x-tags:
        - Webhooks
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not authorized for given operation on the Resource.
              success:
                type: boolean
                default: false
              code:
                type: string
                example: unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````